summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRyan Lovelett2015-11-24 09:57:37 -0500
committerRyan Lovelett2015-11-24 09:57:37 -0500
commit5c7ef3960af19f5947cf5b0251b4b639c2eb2298 (patch)
treeb860d5ee218a63d876e5c4e57bac2d04e634007b
downloadaur-5c7ef3960af19f5947cf5b0251b4b639c2eb2298.tar.gz
Initial attempt at a DVBlast AUR package
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD21
2 files changed, 36 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..d6736a705af
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = dvblast
+ pkgdesc = DVBlast is a simple and powerful MPEG-2/TS demux and streaming application.
+ pkgver = 3.0
+ pkgrel = 1
+ url = https://www.videolan.org/projects/dvblast.html
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ makedepends = bitstream
+ depends = libev
+ source = https://downloads.videolan.org/pub/videolan/dvblast/3.0/dvblast-3.0.tar.bz2
+ md5sums = 89ea9ffb16476d47b8853e52a8a3ee63
+
+pkgname = dvblast
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..fb43868bd77
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,21 @@
+pkgname='dvblast'
+pkgver='3.0'
+pkgrel='1'
+arch=('i686' 'x86_64')
+license=('GPL2')
+pkgdesc='DVBlast is a simple and powerful MPEG-2/TS demux and streaming application.'
+url='https://www.videolan.org/projects/dvblast.html'
+depends=('libev')
+makedepends=('bitstream')
+source=(https://downloads.videolan.org/pub/videolan/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('89ea9ffb16476d47b8853e52a8a3ee63')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make PREFIX=usr DESTDIR="$pkgdir/" install || return 1
+}